Description

SMTP notifications (System>Advanced>Notifications) not work with 587 port and SSL/TLS authentication checked. The system log
shows the following:

php: /system_advanced_notifications.php: Could not send the message to myuser@mydomain.com -— Erro
r: could not connect to the host "smtp.mydomain.com": ?27?

My pfsense version: 2.0.3-RELEASE
Thanks.

Associated revisions

Revision 1cddd59c¢ - 09/16/2013 08:13 AM - Warren Baker

Split SSL/TLS into separate checkboxes so that plaintext connections can be made secured by using STARTTLS. Support for SMTPS connections
should probably be done away with in future. Fixes #3180

Revision dd33fd4e - 10/17/2013 03:43 AM - Warren Baker

Split SSL/TLS into separate checkboxes so that plaintext connections can be made secured by using STARTTLS. Support for SMTPS connections
should probably be done away with in future. Fixes #3180

History

#1 - 09/15/2013 08:57 AM - Aitor Fraile

Same error in system log with 2.1-RELEASE version.

#2 - 09/16/2013 03:50 AM - Warren Baker

That would be because your port 587 is not accepting secure connections. In a typical port 587 setup the connection is first established (unsecured)
and then a STARTTLS command is sent. As it stands the existing library does not cater for that and tries to establish a secure connection to port 587,
which would normally fail. Using port 465 would work as thats expecting a secure connection.

Ideally I guess, specifying port 465 should turn on a secure connection automatically. Any other port specified would be left as unsecure and if TLS is
checked, then a STARTTLS would be issued after the connection has been established.

#3 - 09/16/2013 04:41 AM - Aitor Fraile

Hi Warren,

Thanks for the reply. The problem is that my email provider's SMTP server only accept 587 with TLS encryptionl.
On the other hand, it seems that 465 port is deprecated for SMTPS?.

[1]: https://mykolab.com/clients#other
[2]: hitps://en.wikipedia.org/wiki/Smtps

(Sorry for my bad English)

#4 - 09/16/2013 07:02 AM - Warren Baker

Aitor Fraile wrote:

On the other hand, it seems that 465 port is deprecated for SMTPS?.

Yes thats right, has been for awhile although the likes of GMail and similar still provide it due to old MUAs wanting to make use of it. Which brings up
an interesting question, in pfSense a SSL connection should actually be done away with and only make use of STARTTLS.

| have a patch done, will commit it soon to HEAD.

#5 - 09/16/2013 08:10 AM - Warren Baker
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 1cddd59c4ed2341f87¢f58d9b67d45¢82ffd99d0.

#6 - 10/17/2013 03:50 AM - Warren Baker
Applied in changeset dd33fd4e8b3fb66f49ae8337823264ab0d13504c.

#7 - 10/17/2013 02:11 PM - Warren Baker
- Status changed from Feedback to Closed
